package com.elab.core.dao.model;

import com.elab.core.sql.config.SqlCommandType;

public class SqlResult {
    /**
     * 执行命令
     */
    private String commandType;
    /**
     * sql编号
     */
    private String sqlId;
    /**
     * 表名称
     */
    private String table;
    /**
     * SQL 语句
     */
    private String sql;
    /**
     * 请求参数
     */
    private Object requestParams;
    /**
     * 影响行数
     */
    private Integer affectRows;
    /**
     * 结果返回
     */
    private Object result;
    /**
     * 耗时
     */
    private Long time;

    /**
     * SQL执行状态
     */
    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCommandType() {
        return commandType;
    }

    public void setCommandType(String commandType) {
        this.commandType = commandType;
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public Object getRequestParams() {
        return requestParams;
    }

    public void setRequestParams(Object requestParams) {
        this.requestParams = requestParams;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public Integer getAffectRows() {
        return affectRows;
    }

    public void setAffectRows(Integer affectRows) {
        this.affectRows = affectRows;
    }
}
